library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity picchip is
end;

architecture A of picchip is
component picchip_core 
    port(
        clock_pin_pad_out: in    std_logic_vector(61 downto 61);
        porta_pin0_pad_inn: out   std_logic_vector(0 downto 0);
        porta_pin0_pad_inp: out   std_logic_vector(0 downto 0);
        porta_pin0_pad_out: in    std_logic_vector(0 downto 0);
        porta_pin1_pad_inn: out   std_logic_vector(0 downto 0);
        porta_pin1_pad_inp: out   std_logic_vector(0 downto 0);
        porta_pin1_pad_out: in    std_logic_vector(0 downto 0);
        porta_pin2_pad_inn: out   std_logic_vector(0 downto 0);
        porta_pin2_pad_inp: out   std_logic_vector(0 downto 0);
        porta_pin2_pad_out: in    std_logic_vector(0 downto 0);
        porta_pin3_pad_inn: out   std_logic_vector(0 downto 0);
        porta_pin3_pad_inp: out   std_logic_vector(0 downto 0);
        porta_pin3_pad_out: in    std_logic_vector(0 downto 0);
        porta_pin4_pad_inn: out   std_logic_vector(0 downto 0);
        porta_pin4_pad_inp: out   std_logic_vector(0 downto 0);
        porta_pin4_pad_out: in    std_logic_vector(0 downto 0);
        porta_pin5_pad_inn: out   std_logic_vector(0 downto 0);
        porta_pin5_pad_inp: out   std_logic_vector(0 downto 0);
        porta_pin5_pad_out: in    std_logic_vector(0 downto 0);
        porta_pin6_pad_inn: out   std_logic_vector(0 downto 0);
        porta_pin6_pad_inp: out   std_logic_vector(0 downto 0);
        porta_pin6_pad_out: in    std_logic_vector(0 downto 0);
        porta_pin7_pad_inn: out   std_logic_vector(0 downto 0);
        porta_pin7_pad_inp: out   std_logic_vector(0 downto 0);
        porta_pin7_pad_out: in    std_logic_vector(0 downto 0);
        portb_pin0_pad_inn: out   std_logic_vector(0 downto 0);
        portb_pin0_pad_inp: out   std_logic_vector(0 downto 0);
        portb_pin0_pad_out: in    std_logic_vector(0 downto 0);
        portb_pin1_pad_inn: out   std_logic_vector(0 downto 0);
        portb_pin1_pad_inp: out   std_logic_vector(0 downto 0);
        portb_pin1_pad_out: in    std_logic_vector(0 downto 0);
        portb_pin2_pad_inn: out   std_logic_vector(0 downto 0);
        portb_pin2_pad_inp: out   std_logic_vector(0 downto 0);
        portb_pin2_pad_out: in    std_logic_vector(0 downto 0);
        portb_pin3_pad_inn: out   std_logic_vector(0 downto 0);
        portb_pin3_pad_inp: out   std_logic_vector(0 downto 0);
        portb_pin3_pad_out: in    std_logic_vector(0 downto 0);
        portb_pin4_pad_inn: out   std_logic_vector(0 downto 0);
        portb_pin4_pad_inp: out   std_logic_vector(0 downto 0);
        portb_pin4_pad_out: in    std_logic_vector(0 downto 0);
        portb_pin5_pad_inn: out   std_logic_vector(0 downto 0);
        portb_pin5_pad_inp: out   std_logic_vector(0 downto 0);
        portb_pin5_pad_out: in    std_logic_vector(0 downto 0);
        portb_pin6_pad_inn: out   std_logic_vector(0 downto 0);
        portb_pin6_pad_inp: out   std_logic_vector(0 downto 0);
        portb_pin6_pad_out: in    std_logic_vector(0 downto 0);
        portb_pin7_pad_inn: out   std_logic_vector(0 downto 0);
        portb_pin7_pad_inp: out   std_logic_vector(0 downto 0);
        portb_pin7_pad_out: in    std_logic_vector(0 downto 0);
        porte_pin1_pad_inn: out   std_logic_vector(35 downto 35);
        porte_pin1_pad_inp: out   std_logic_vector(35 downto 35);
        porte_pin1_pad_out: in    std_logic_vector(35 downto 35);
        porte_pin2_pad_inn: out   std_logic_vector(36 downto 36);
        porte_pin2_pad_inp: out   std_logic_vector(36 downto 36);
        porte_pin2_pad_out: in    std_logic_vector(36 downto 36);
        reset_pin_pad_out: in    std_logic_vector(62 downto 62);
        ser_in_pin_1_pad_out: in    std_logic_vector(63 downto 63);
        ser_in_pin_2_pad_out: in    std_logic_vector(33 downto 33);
        ser_out_pin_1_pad_in: out   std_logic_vector(64 downto 64);
        ser_out_pin_2_pad_in: out   std_logic_vector(34 downto 34)
    );
end component;
   signal clock;
   signal porta, porta_n : std_logic_vector(7 downto 0);
   signal portb, portb_n : std_logic_vector(7 downto 0);
   signal porte, porte_n, porte_p : std_logic_vector(1 downto 0);
   signal reset;
   signal gnd;
begin
   gnd<='0';
   porta<=NOT porta_n;
   portb<=NOT portb_n;
   porte<= "00";

   DUT : picchip_core port map (
      clock_pin_pad_out(61)<= clock,
      porta_pin0_pad_inn(0)<= porta_n(0),
      porta_pin0_pad_out(0)<= porta(0),
      porta_pin1_pad_inn(0)<= porta_n(1),
      porta_pin1_pad_out(0)<= porta(1),
      porta_pin2_pad_inn(0)<= porta_n(2),
      porta_pin2_pad_out(0)<= porta(2),
      porta_pin3_pad_inn(0)<= porta_n(3),
      porta_pin3_pad_out(0)<= porta(3),
      porta_pin4_pad_inn(0)<= porta_n(4),
      porta_pin4_pad_out(0)<= porta(4),
      porta_pin5_pad_inn(0)<= porta_n(5),
      porta_pin5_pad_out(0)<= porta(5),
      porta_pin6_pad_inn(0)<= porta_n(6),
      porta_pin6_pad_out(0)<= porta(6),
      porta_pin7_pad_inn(0)<= porta_n(7),
      porta_pin7_pad_out(0)<= porta(7),
      portb_pin0_pad_inn(0)<= portb_n(0),
      portb_pin0_pad_out(0)<= portb(0),
      portb_pin1_pad_inn(0)<= portb_n(1),
      portb_pin1_pad_out(0)<= portb(1),
      portb_pin2_pad_inn(0)<= portb_n(2),
      portb_pin2_pad_out(0)<= portb(2),
      portb_pin3_pad_inn(0)<= portb_n(3),
      portb_pin3_pad_out(0)<= portb(3),
      portb_pin4_pad_inn(0)<= portb_n(4),
      portb_pin4_pad_out(0)<= portb(4),
      portb_pin5_pad_inn(0)<= portb_n(5),
      portb_pin5_pad_out(0)<= portb(5),
      portb_pin6_pad_inn(0)<= portb_n(6),
      portb_pin6_pad_out(0)<= portb(6),
      portb_pin7_pad_inn(0)<= portb_n(7),
      portb_pin7_pad_out(0)<= portb(7),
      porte_pin1_pad_inn(35)<= porte_n(0),
      porte_pin1_pad_inp(35)<= porte_p(0),
      porte_pin1_pad_out(35)<= porte(0),
      porte_pin2_pad_inn(36)<= porte_n(1),
      porte_pin2_pad_inp(36)<= porte_p(1),
      porte_pin2_pad_out(36)<= porte(1),
      reset_pin_pad_out(62)<=reset,
      ser_in_pin_1_pad_out(64)<=gnd,
      ser_in_pin_2_pad_out(34)<=gnd);
      
   generate_clock : process
   begin
      clock_pin_pad_out(61)<= '0'; wait for 10 ns;
      clock_pin_pad_out(61)<= '0'; wait for 10 ns;
   end process;

   reset <= '1', '0' after 85 ns;
end A;
